Bug 242083 - anaconda fails to install a live-system
Summary: anaconda fails to install a live-system
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 15:56 UTC by Holger Levsen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 19:07:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Holger Levsen 2007-06-01 15:56:20 UTC
Description of problem:

I want to use a kickstart-file with anaconda, to install the system 
from a livecd (made with livecd tools) automatically. And hit another 
exception, anaconda-dump file attached to 
https://www.redhat.com/archives/fedora-livecd-list/2007-May/msg00129.html

Version-Release number of selected component (if applicable):
fedora core 7 (beta)

How reproducible:

also see
https://www.redhat.com/archives/fedora-livecd-list/2007-May/msg00129.html

there are also links to the anaconda config file and the livecd configfile and 
an iso image of the livecd too...


Steps to Reproduce:
1. see above
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2007-06-04 19:07:47 UTC
Committed the following to CVS which should fix things up

Index: installclass.py
===================================================================
RCS file: /usr/local/CVS/anaconda/installclass.py,v
retrieving revision 1.293
retrieving revision 1.294
diff -u -r1.293 -r1.294
--- installclass.py     4 Jun 2007 15:15:31 -0000       1.293
+++ installclass.py     4 Jun 2007 18:59:12 -0000       1.294
@@ -176,7 +176,8 @@
 
         # allow backends to disable interactive package selection
         if not anaconda.backend.supportsPackageSelection:
-            dispatch.skipStep("tasksel", skip = 1)
+            dispatch.skipStep("tasksel", skip = 1, permanent=1)
+            dispatch.skipStep("group-selection", skip = 1, permanent=1)
 
         # allow install classes to turn off the upgrade 
         if not self.showUpgrade or not anaconda.backend.supportsUpgrades:



Note You need to log in before you can comment on or make changes to this bug.